Smart Proxy - Bug #6022

puppetssh fails due to host key prompt when trying to do puppetrun
06/02/2014 08:13 PM - Stephen Herd

Status: Closed
Priority: Normal
Assignee:
Category: Puppet
Target version:
Difficulty: Fixed in Releases:
Triaged: Found in Releases: 1.5.0
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/smart-pro
xy/pull/528
Description

I've configured settings.yml to allow puppet runs over ssh

But on the remote server | just get "Connection Closed by x.x.x.x". After playing around with things manually (enabling login for
foreman-proxy and running commands myself), | discovered that foreman-proxy was silently failing because of the host key prompt.

| added:

cmd =]

cmd.push(which('sudo")) if SETTINGS.puppetssh_sudo
cmd.push(which('ssh’))

cmd.push("-o StrictHostKeyChecking=no")

cmd.push("-I", "#{SETTINGS.puppetssh_user}") if SETTINGS.puppetssh_user

in
foreman-proxy/lib/proxy/puppet/puppet_ssh.rb

and everything seems to work correctly.

Associated revisions

Revision 846218ef - 05/23/2017 09:44 AM - Michael Moll
Fixes #6022 - disable StrictHostKeyChecking

History

#1 - 06/03/2014 07:15 AM - Dominic Cleal

- Project changed from Foreman to Smart Proxy

- Subject changed from puppetssh silently fails when trying to do puppetrun to puppetssh fails due to host key prompt when trying to do puppetrun
- Category changed from Puppet integration to Puppet

- Priority changed from High to Normal

#2 - 08/03/2015 08:30 AM - Royee Tager

Hi,

Do you have any updates regarding this issue?

#3 - 08/09/2016 05:32 AM - Francois Laupretre

Hi,

Fix for version 1.12.1 :

——— puppet_proxy_ssh_main.rb 2016-07-22 15:16:46.000000000 +0200

+++ puppet_proxy_ssh_main.rb.new 2016-08-09 11:19:55.241114989 +0200
@@ -28,6 +28,7 @@
end
cmd.push (ssh_path)

+ cmd.push('-o', 'StrictHostKeyChecking=no')
cmd.push ("-1", user) if user

if keyfile_path

Without option, you must 'ssh' to every client manually from foreman proxy before being able to launch a remote command. So, in practice,
'StrictHostKeyChecking=no' is mandatory and should, IMHO, be inserted in the code.

#4 - 05/20/2017 12:34 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Anonymous

- Pull request https://github.com/theforeman/smart-proxy/pull/528 added

#5 - 05/23/2017 10:01 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 846218ef5292b6baf92905da831515b80e19825f.
